# Get Invoices GET https://app.unleash-instance.example.com/api/admin/invoices **Enterprise feature** undefined Reference: https://docs.getunleash.io/api/get-invoices ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get Invoices version: endpoint_operational.getInvoices paths: /api/admin/invoices: get: operationId: get-invoices summary: Get Invoices description: |- **Enterprise feature** undefined tags: - - subpackage_operational parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: invoicesSchema content: application/json: schema: $ref: '#/components/schemas/invoicesSchema' components: schemas: InvoicesSchemaItems: type: object properties: amountFormatted: type: string description: A formatted representation of the amount due. paid: type: boolean description: '`true` if the invoice has been paid, `false` if it has not.' status: type: string description: The current status of the invoice dueDate: type: string description: When the invoice is due invoiceURL: type: string format: uri description: A URL pointing to where the invoice can be found. invoicePDF: type: string format: uri description: A link to a PDF-version of the invoice. required: - amountFormatted - paid - status - invoiceURL - invoicePDF invoicesSchema: type: array items: $ref: '#/components/schemas/InvoicesSchemaItems' ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/invoices" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/invoices'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/invoices" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/invoices") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/invoices") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/invoices', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/invoices"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/invoices")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```